## clonezilla-live-src-20150722-vivid-amd64.ubuntu.tar.gz

=== Makefile ===
  default: all

  SIGNING_KEY := pjones
  RELEASE_MAJOR := 0
  RELEASE_MINOR := 11
  RELEASE_SUBLEVEL := 0
  RELEASE_NAME := efibootmgr
  RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)

  CFLAGS = $(EXTRA_CFLAGS) -DEFIBOOTMGR_VERSION=\"$(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)\" \
	    -Wsign-compare -Wall -Werror -g -D_FILE_OFFSET_BITS=64

  MODULES := src

  BINDIR := /usr/sbin

#--------------------------------------------
# Generic Makefile stuff is below. You
#  should not have to modify any of the stuff
#  below.
#--------------------------------------------

#Included makefiles will add their deps for each stage in these vars:
  INSTALLDEPS :=
  CLEANDEPS :=
  ALLDEPS :=
  CLEANLIST :=

#Define the top-level build directory
  BUILDDIR := $(shell pwd)

#Include make rules from each submodule (subdirectory)
  include $(patsubst %,%/module.mk,$(MODULES))

  .PHONY: all clean install_list install install_link post_install tarball echotree default archive test-archive

  all:  $(ALLDEPS) 
  clean: clean_list $(CLEANDEPS) 

  clean_list:
	rm -f $(CLEANLIST)

  install_list: echotree $(INSTALLDEPS) 

  install: all 
	@make install_list | tools/install.pl copy

  install_link: all
	@make install_list | tools/install.pl link

  post_install: 

GITTAG = $(RELEASE_STRING)

test-archive:
	@rm -rf /tmp/$(RELEASE_STRING) /tmp/$(RELEASE_STRING)-tmp
	@mkdir -p /tmp/$(RELEASE_STRING)-tmp
	@git archive --format=tar $(shell git branch | awk '/^*/ { print $$2 }') | ( cd /tmp/$(RELEASE_STRING)-tmp/ ; tar x )
	@git diff | ( cd /tmp/$(RELEASE_STRING)-tmp/ ; patch -s -p1 -b -z .gitdiff )
	@mv /tmp/$(RELEASE_STRING)-tmp/ /tmp/$(RELEASE_STRING)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/$(RELEASE_STRING).tar.bz2 $(RELEASE_STRING) && tar -c --gzip -f $$dir/$(RELEASE_STRING).tar.gz $(RELEASE_STRING) && zip -q -r $$dir/$(RELEASE_STRING).zip $(RELEASE_STRING)/
	@rm -rf /tmp/$(RELEASE_STRING)
	@echo "The archive is in $(RELEASE_STRING).tar.bz2"
	@echo "The archive is in $(RELEASE_STRING).tar.gz"
	@echo "The archive is in $(RELEASE_STRING).zip"

archive:
	git tag -s $(GITTAG) refs/heads/master
	@rm -rf /tmp/$(RELEASE_STRING) /tmp/$(RELEASE_STRING)-tmp
	@mkdir -p /tmp/$(RELEASE_STRING)-tmp
	@git archive --format=tar $(GITTAG) | ( cd /tmp/$(RELEASE_STRING)-tmp/ ; tar x )
	@mv /tmp/$(RELEASE_STRING)-tmp/ /tmp/$(RELEASE_STRING)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/$(RELEASE_STRING).tar.bz2 $(RELEASE_STRING) && tar -c --gzip -f $$dir/$(RELEASE_STRING).tar.gz $(RELEASE_STRING) && zip -q -r $$dir/$(RELEASE_STRING).zip $(RELEASE_STRING)/
	@rm -rf /tmp/$(RELEASE_STRING)
	gpg -a -u $(SIGNING_KEY) --output $(RELEASE_STRING).tar.bz2.sig --detach-sig $(RELEASE_STRING).tar.bz2
	@echo "The archive is in $(RELEASE_STRING).tar.bz2"
	@echo "The archive is in $(RELEASE_STRING).tar.gz"
	@echo "The archive is in $(RELEASE_STRING).zip"
	@echo "The archive signature is in $(RELEASE_STRING).tar.bz2.sig"

tarball: archive

#The rest of the docs...
  doc_TARGETS += COPYING README INSTALL

echotree:
	@# making directory tree 
	@#RPM FORMAT:
	@# %defattr(-, user, group) 
	@# %attr(4755,user,group)  filename
	@# filename

# Here is a list of variables that are assumed Local to each Makefile. You can
#   safely stomp on these values without affecting the build.
# 	MODULES
#	FILES
#	TARGETS
#	SOURCES

=== source3/wscript ===
#!/usr/bin/env python

srcdir=".."

import sys, os
from optparse import SUPPRESS_HELP
sys.path.insert(0, srcdir+"/buildtools/wafsamba")
sys.path.insert(0, "source3")
import wafsamba, Options, Logs, Utils, Scripting
import build.charset
import samba_utils, samba_version
import samba3

Options.default_prefix = '/usr/local/samba'

def set_options(opt):

    opt.add_option('--with-static-modules',
                   help=("Comma-separated list of names of modules to statically link in"),
                   action="store", dest='static_modules', default=None)
    opt.add_option('--with-shared-modules',
                   help=("Comma-separated list of names of modules to build shared"),
                   action="store", dest='shared_modules', default=None)

    opt.SAMBA3_ADD_OPTION('winbind')
    opt.SAMBA3_ADD_OPTION('ads', default=None) # None means autodetection
    opt.SAMBA3_ADD_OPTION('ldap')
    opt.SAMBA3_ADD_OPTION('cups', with_name="enable", without_name="disable")
    opt.SAMBA3_ADD_OPTION('iprint', with_name="enable", without_name="disable")
    opt.SAMBA3_ADD_OPTION('pam')
    opt.SAMBA3_ADD_OPTION('pam_smbpass')
    opt.SAMBA3_ADD_OPTION('quotas')
    opt.SAMBA3_ADD_OPTION('sendfile-support')
    opt.SAMBA3_ADD_OPTION('utmp')
    opt.SAMBA3_ADD_OPTION('pthreadpool', with_name="enable", without_name="disable", default=True)
    opt.SAMBA3_ADD_OPTION('avahi', with_name="enable", without_name="disable")
    opt.SAMBA3_ADD_OPTION('iconv')
    opt.SAMBA3_ADD_OPTION('acl-support')
    opt.SAMBA3_ADD_OPTION('dnsupdate')
    opt.SAMBA3_ADD_OPTION('syslog')
    opt.SAMBA3_ADD_OPTION('automount')
    opt.SAMBA3_ADD_OPTION('aio-support')
    opt.SAMBA3_ADD_OPTION('dmapi', default=None) # None means autodetection
    opt.SAMBA3_ADD_OPTION('fam', default=None) # None means autodetection
    opt.SAMBA3_ADD_OPTION('profiling-data', default=False)

    opt.SAMBA3_ADD_OPTION('cluster-support', default=None)

    opt.SAMBA3_ADD_OPTION('regedit', default=None)

    opt.add_option('--with-ctdb-dir',
                   help=("Directory under which ctdb is installed"),
                   action="store", dest='ctdb_dir', default=None)
    opt.add_option('--enable-old-ctdb',
                  help=("enable building against (too) old version of ctdb (default=false)"),
                  action="store_true", dest='enable_old_ctdb', default=False)

    opt.add_option('--with-libcephfs',
                   help=("Directory under which libcephfs is installed"),
                   action="store", dest='libcephfs_dir', default=None)

    opt.SAMBA3_ADD_OPTION('glusterfs', with_name="enable", without_name="disable", default=True)


def configure(conf):
    from samba_utils import TO_LIST

    default_static_modules = []
    default_shared_modules = []

    if Options.options.developer:
        conf.ADD_CFLAGS('-DDEVELOPER -DDEBUG_PASSWORD')
        conf.env.developer = True

    if sys.platform != 'openbsd5':
        conf.ADD_LDFLAGS("-Wl,--export-dynamic", testflags=True)

    conf.CHECK_HEADERS('execinfo.h libexc.h libunwind.h netdb.h')
    conf.CHECK_HEADERS('linux/falloc.h')

    conf.CHECK_FUNCS('getcwd fchown chmod fchmod mknod')
    conf.CHECK_FUNCS('strtol strchr strupr chflags')
    conf.CHECK_FUNCS('getrlimit fsync fdatasync setpgid')
    conf.CHECK_FUNCS('setsid glob strpbrk crypt16 getauthuid')
    conf.CHECK_FUNCS('sigprocmask sigblock sigaction sigset innetgr')
    conf.CHECK_FUNCS('initgroups select poll rdchk getgrnam getgrent pathconf')
    conf.CHECK_FUNCS('setpriv setgidx setuidx setgroups syscall sysconf')
    conf.CHECK_FUNCS('atexit grantpt posix_openpt fallocate posix_fallocate')
    conf.CHECK_FUNCS('fseeko setluid')
    conf.CHECK_FUNCS('getpwnam', headers='sys/types.h pwd.h')
    conf.CHECK_FUNCS('fdopendir')
    conf.CHECK_FUNCS('fstatat')
    conf.CHECK_FUNCS('getpwent_r setenv strcasecmp fcvt fcvtl')
    conf.CHECK_FUNCS('syslog vsyslog timegm setlocale')
    conf.CHECK_FUNCS_IN('nanosleep', 'rt')
    conf.CHECK_FUNCS('lutimes futimes utimensat futimens')
    conf.CHECK_FUNCS('mlock munlock mlockall munlockall')
    conf.CHECK_FUNCS('memalign posix_memalign hstrerror')
    conf.CHECK_FUNCS('shmget')
    conf.CHECK_FUNCS_IN('shm_open', 'rt', checklibc=True)
    #FIXME: for some reason this one still fails
    conf.CHECK_FUNCS_IN('yp_get_default_domain', 'nsl')
    conf.CHECK_FUNCS_IN('dn_expand _dn_expand __dn_expand', 'resolv')
    conf.CHECK_FUNCS_IN('dn_expand', 'inet')
    conf.CHECK_DECLS('fdatasync', reverse=True)
    conf.CHECK_DECLS('readahead', reverse=True, headers='fcntl.h')

    if conf.CONFIG_SET('HAVE_LONG_LONG'):
        conf.DEFINE('HAVE_LONGLONG', 1)

    if conf.CHECK_CODE('''
#if defined(HAVE_UNISTD_H)
#include <unistd.h>
#endif
long ret = splice(0,0,1,0,400,SPLICE_F_MOVE);
''',
        'HAVE_LINUX_SPLICE',
        headers='fcntl.h'):
        conf.CHECK_DECLS('splice', reverse=True, headers='fcntl.h')

    # Check for inotify support
    conf.CHECK_HEADERS('sys/inotify.h')
    if "HAVE_SYS_INOTIFY_H" in conf.env:
        conf.DEFINE('HAVE_INOTIFY', 1)

    # Check for kernel change notify support
    conf.CHECK_CODE('''
#ifndef F_NOTIFY
#define F_NOTIFY 1026
#endif
main() {
        exit(fcntl(open("/tmp", O_RDONLY), F_NOTIFY, 0) == -1 ?  1 : 0);
}''', 'HAVE_KERNEL_CHANGE_NOTIFY', addmain=False, execute=True,
        headers='fcntl.h signal.h',
        msg="Checking for kernel change notify support")

    # Check for Linux kernel oplocks
    conf.CHECK_CODE('''
#include <sys/types.h>
#include <fcntl.h>
#include <signal.h>
#ifndef F_NOTIFY
#define F_NOTIFY 1026
#endif
main() {
        exit(fcntl(open("/tmp", O_RDONLY), F_NOTIFY, 0) == -1 ?  1 : 0);
}''', 'HAVE_KERNEL_OPLOCKS_LINUX', addmain=False, execute=True,
        msg="Checking for Linux kernel oplocks")

    # Check for IRIX kernel oplock types
    conf.CHECK_CODE('oplock_stat_t t; t.os_state = OP_REVOKE; t.os_dev = 1; t.os_ino = 1;',
                    'HAVE_KERNEL_OPLOCKS_IRIX', headers='fcntl.h',
                    msg="Checking for IRIX kernel oplock types")

    # Check for kernel share modes
    conf.CHECK_CODE('''
#include <sys/types.h>
#include <fcntl.h>
#include <signal.h>
#include <sys/file.h>
#ifndef LOCK_MAND
#define LOCK_MAND        32
#define LOCK_READ        64
#endif
main() {
        exit(flock(open("/dev/null", O_RDWR), LOCK_MAND|LOCK_READ) != 0);
}''', 'HAVE_KERNEL_SHARE_MODES', addmain=False, execute=True,
        msg="Checking for kernel share modes")

    # check for fam libs
    samba_fam_libs=None
    check_for_fam=False
    if Options.options.with_fam is None:
        check_for_fam=True
    elif Options.options.with_fam == True:
        check_for_fam=True

    if check_for_fam and conf.CHECK_HEADERS('fam.h'):
        if conf.CHECK_FUNCS_IN('FAMOpen2', 'fam'):
            samba_fam_libs='fam'
        elif conf.CHECK_FUNCS_IN('FAMOpen2', 'fam C'):
            samba_fam_libs='fam C'
        conf.CHECK_TYPE('enum FAMCodes', headers='fam.h',
            define='HAVE_FAM_H_FAMCODES_TYPEDEF',
            msg='Checking whether enum FAMCodes is available')
        conf.CHECK_FUNCS_IN('FAMNoExists', 'fam')

    if samba_fam_libs is not None:
        conf.DEFINE('SAMBA_FAM_LIBS', samba_fam_libs)
    else:
        if Options.options.with_fam == True:
            conf.fatal('FAM support requested, but no suitable FAM library found')
        elif check_for_fam:
            Logs.warn('no suitable FAM library found')

    # check for DMAPI libs
    if Options.options.with_dmapi == False:
        have_dmapi = False
    else:
        have_dmapi = True
        Logs.info("Checking for DMAPI library existence")
        samba_dmapi_lib = ''
        if conf.CHECK_FUNCS_IN('dm_get_eventlist', 'dm'):
            samba_dmapi_lib = 'dm'
        else:
            if conf.CHECK_FUNCS_IN('dm_get_eventlist', 'jfsdm'):
                samba_dmapi_lib = 'jfsdm'
            else:
                if conf.CHECK_FUNCS_IN('dm_get_eventlist', 'dmapi'):
                    samba_dmapi_lib = 'dmapi'
                else:
                    if conf.CHECK_FUNCS_IN('dm_get_eventlist', 'xdsm'):
                        samba_dmapi_lib = 'xdsm'
        # only bother to test headers and compilation when a candidate
        # library has been found
        if samba_dmapi_lib == '':
            have_dmapi = False
            broken_dmapi = "no suitable DMAPI library found"

        if have_dmapi:
            conf.CHECK_HEADERS('sys/dmi.h xfs/dmapi.h sys/jfsdmapi.h sys/dmapi.h dmapi.h')
            conf.CHECK_CODE('''
#include <time.h>      /* needed by Tru64 */
#include <sys/types.h> /* needed by AIX */
#ifdef HAVE_XFS_DMAPI_H
#include <xfs/dmapi.h>
#elif defined(HAVE_SYS_DMI_H)
#include <sys/dmi.h>
#elif defined(HAVE_SYS_JFSDMAPI_H)
#include <sys/jfsdmapi.h>
#elif defined(HAVE_SYS_DMAPI_H)
#include <sys/dmapi.h>
#elif defined(HAVE_DMAPI_H)
#include <dmapi.h>
#endif

/* This link test is designed to fail on IRI 6.4, but should
 * succeed on Linux, IRIX 6.5 and AIX.
 */
int main(int argc, char **argv)
{
	char * version;
	dm_eventset_t events;
	/* This doesn't take an argument on IRIX 6.4. */
	dm_init_service(&version);
	/* IRIX 6.4 expects events to be a pointer. */
	DMEV_ISSET(DM_EVENT_READ, events);

	return 0;
}
''',
            'USEABLE_DMAPI_LIBRARY',
            addmain=False,
            execute=False,
            lib=samba_dmapi_lib,
            msg='Checking whether DMAPI lib '+samba_dmapi_lib+' can be used')
            if not conf.CONFIG_SET('USEABLE_DMAPI_LIBRARY'):
                have_dmapi = False
                broken_dmapi = "no usable DMAPI library found"

    if have_dmapi:
        Logs.info("Building with DMAPI support.")
        conf.env['dmapi_lib'] = samba_dmapi_lib
        conf.DEFINE('USE_DMAPI', 1)
    else:
        if Options.options.with_dmapi == False:
            Logs.info("Building without DMAPI support (--without-dmapi).")
        elif Options.options.with_dmapi == True:
            Logs.error("DMAPI support not available: " + broken_dmapi)
            conf.fatal('DMAPI support requested but not found.');
        else:
            Logs.warn("Building without DMAPI support: " + broken_dmapi)
        conf.env['dmapi_lib'] = ''

    # Check for various members of the stat structure
    conf.CHECK_STRUCTURE_MEMBER('struct stat', 'st_blocks', define='HAVE_STAT_ST_BLOCKS',
                                headers='sys/stat.h')
    conf.CHECK_STRUCTURE_MEMBER('struct stat', 'st_blksize', define='HAVE_STAT_ST_BLKSIZE',
                                headers='sys/stat.h')
    conf.CHECK_STRUCTURE_MEMBER('struct stat', 'st_flags', define='HAVE_STAT_ST_FLAGS',
                                headers='sys/types.h sys/stat.h unistd.h')

    if "HAVE_BLKCNT_T" in conf.env:
	conf.CHECK_CODE('''
	return sizeof(blkcnt_t) == 4 ? 0 : 1''',
		'SIZEOF_BLKCNT_T_4', execute=True,
		headers='replace.h sys/types.h sys/stat.h unistd.h',
		msg="Checking whether blkcnt_t is 32 bit")

    if "HAVE_BLKCNT_T" in conf.env:
	conf.CHECK_CODE('''
	return sizeof(blkcnt_t) == 8 ? 0 : 1''',
		'SIZEOF_BLKCNT_T_8', execute=True,
		headers='replace.h sys/types.h sys/stat.h unistd.h',
		msg="Checking whether blkcnt_t is 64 bit")

    # Check for POSIX capability support
    conf.CHECK_FUNCS_IN('cap_get_proc', 'cap', headers='sys/capability.h')

    if "HAVE_SYS_CAPABILITY_H" in conf.env:
        conf.CHECK_CODE('''
        cap_t cap;
        cap_value_t vals[1];
        if (!(cap = cap_get_proc())) exit(1);
        vals[0] = CAP_CHOWN;
        cap_set_flag(cap, CAP_INHERITABLE, 1, vals, CAP_CLEAR);
        cap_set_proc(cap);''',
                        'HAVE_POSIX_CAPABILITIES', execute=True, lib="cap",
                        headers='sys/capability.h',
                        msg="Checking whether POSIX capabilities are available")

    # Check for int16, uint16, int32 and uint32 in rpc/types.h included from
    # rpc/rpc.h. This is *really* broken but some systems (DEC OSF1) do this.
    # -- JRA.

=== changelog ===
vim (2:7.4.488-3ubuntu2) vivid; urgency=medium

  * debian/patches/fixtest63.patch: Cherry-pick r6411 from upstream to fix
    test63 on the buildds, where TERM is unset.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 09 Dec 2014 16:56:44 +0000

vim (2:7.4.488-3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/rules: Ignore failures from flaky test86.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 09 Dec 2014 13:50:12 +0000

vim (2:7.4.488-3) unstable; urgency=medium

  * Install icons to /usr/share/icons/hicolor to work around #765069.
    (Closes: #768256)

 -- James McCoy <jamessan@debian.org>  Sun, 30 Nov 2014 15:08:09 -0500

vim (2:7.4.488-2) unstable; urgency=medium

  * Actually fix the Name in vim.desktop.  (Closes: #769575)

 -- James McCoy <jamessan@debian.org>  Fri, 14 Nov 2014 21:06:27 -0500

vim (2:7.4.488-1) unstable; urgency=medium

  * Merge upstream tag v7-4-488
  * Fix the Name in vim.desktop.

 -- James McCoy <jamessan@debian.org>  Wed, 22 Oct 2014 21:07:59 -0400

vim (2:7.4.481-1) unstable; urgency=medium

  * Merge upstream tag v7-4-481
    + Updated Russian translation of vimtutor.  (Closes: #722673)
  * syntax/debcontrol.vim: Recognize https URLs for Vcs-Git.  (Closes:
    #763553)
  * debian/rules: Request all hardening features, other than fortify, from
    dpkg-buildflags.
  * Add codename for Ubuntu's next release, vivid.
  * Install a .desktop file for terminal vim.  (Closes: #760512)

 -- James McCoy <jamessan@debian.org>  Mon, 20 Oct 2014 23:26:20 -0400

vim (2:7.4.430-1) unstable; urgency=medium

  * Merge upstream tag v7-4-430
    + 7.4.397: Fix paren matching in zsh scripts.  (Closes: #754507)
    + Runtime updates:
      - Improve highlighting of Python's \N{…} sequences.  (Closes: #749175)
  * Add jessie release and remove EOLed saucy release from Debian runtime
    files.  (Closes: #753823)

 -- James McCoy <jamessan@debian.org>  Mon, 01 Sep 2014 04:11:24 -0400

vim (2:7.4.335-1) unstable; urgency=medium

  * Merge upstream tag v7-4-335
    + Avoid setting buftype=nofile for scp buffers.  (Closes: #743136)
    + Properly handle scp://user@host/ URLs  (Closes: #744111)
  * Remove EOLed Quantal release from Debian runtime files.
  * Transition from Lua 5.1 to Lua 5.2

 -- James McCoy <jamessan@debian.org>  Thu, 19 Jun 2014 23:02:17 -0400

vim (2:7.4.273-2ubuntu5) vivid; urgency=medium

  * Backport Debian change "Install icons to /usr/share/icons/hicolor 
    to work around #765069."

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Dec 2014 09:57:25 +0100

vim (2:7.4.273-2ubuntu4) utopic; urgency=medium

  * Add it to the other place too...

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 20 Oct 2014 11:54:15 -0400

vim (2:7.4.273-2ubuntu3) utopic; urgency=medium

  * Add vivid to the list of valid Ubuntu series.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 20 Oct 2014 11:44:53 -0400

vim (2:7.4.273-2ubuntu2) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:55:30 +0100

vim (2:7.4.273-2ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable and drop debian/ubuntu-fix-arches.patch.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 May 2014 13:11:09 -0600

vim (2:7.4.273-2) unstable; urgency=medium

  * syntax/debcontrol.vim:
    + Fix architecture orders to work with left-most regex matching.

 -- James McCoy <jamessan@debian.org>  Fri, 02 May 2014 00:17:48 -0400

vim (2:7.4.273-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/control: Transition from lua5.1 to lua5.2.
    - debian/rules: Ignore failures from flaky test86.
  * debian/patches/debian/ubuntu-fix-arches.patch: Fix arch highlighting.
  * debian/patches/debian/ubuntu-arches.patch: Dropped, merged upstream.
  * debian/patches/debian/ubuntu-dists.patch: Dropped, merged upstream.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 01 May 2014 21:47:46 -0600

vim (2:7.4.273-1) unstable; urgency=medium

  * Merge upstream tag v7-4-273
  * syntax/debcontrol.vim:
    + Correctly highlight any-x32 in Architecture field
    + Add ppc64el architecture
  * syntax/deb{changelog,sources}.vim:
    + Add codenames for Ubuntu's development release (devel, utopic)

 -- James McCoy <jamessan@debian.org>  Thu, 01 May 2014 21:50:24 -0400

vim (2:7.4.253-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/debian/ubuntu-dists.patch:
      + Add devel and utopic as valid distribution targets.
    - debian/patches/debian/ubuntu-arches.patch:
      + Support ppc64el as a valid architecture.
    - debian/control: Transition from lua5.1 to lua5.2.
    - debian/rules: Ignore failures from flaky test86.
  * upstream/completion-crash.patch: Drop, merged upstream.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Apr 2014 22:00:05 -0600

vim (2:7.4.253-1) unstable; urgency=medium

  * Merge upstream tag v7-4-253
    + 7.4.252: Clear blink timer after removing it to avoid GLib-CRITICAL
      error.  (Closes: #743668)


=== debian/changelog ===
init-system-helpers (1.22ubuntu11) vivid; urgency=medium

  * Fix wrong "three" in package description. (LP: #1441322)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Apr 2015 06:53:45 +0200

init-system-helpers (1.22ubuntu10) vivid; urgency=medium

  * Move /bin/running-in-container from upstart and update it so that
    systemd-based vivid hosts can use it.  (LP: #1442228)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 09 Apr 2015 18:40:41 -0500

init-system-helpers (1.22ubuntu9) vivid; urgency=medium

  Cherry-pick tests and a bug fix from Debian git:
  * t/001-deb-systemd-helper.t: Verify that the commands exit successfully.
  * t/001-deb-systemd-helper.t: Add tests for Alias= handling.
  * t/001-deb-systemd-helper.t: Add tests for Alias and mask handling with
    uninstalled .service file (as in package postrm scripts).
  * deb-systemd-helper: Ignore Also= and Alias= referring to itself, and avoid
    mask symlink creation errors on systems where units with those have
    already been installed. Add corresponding test to
    001-deb-systemd-helper.t. (LP: #1439793)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 09 Apr 2015 13:10:17 +0200

init-system-helpers (1.22ubuntu8) vivid; urgency=medium

  * Make init "Essential: yes" again, it's the only way to guarantee a
    sane upgrade path for people without ubuntu-minimal (LP: #1436956)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 07 Apr 2015 10:27:59 -0600

init-system-helpers (1.22ubuntu7) vivid; urgency=medium

  * Declare Breaks/Replaces against both upstart and upstart-bin since
    /lib/init/apparmor-profile-load briefly appeared in both packages
    (LP: #1439988).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 07 Apr 2015 16:21:23 +0100

init-system-helpers (1.22ubuntu6) vivid; urgency=medium

  * Add /lib/init/apparmor-profile-load; moved from the upstart package to the
    apparmor package and wrapped here under the old path. This name can
    continue to be used by init scripts to save them individually testing if
    apparmor is installed, as this wrapper performs this task.
    (LP: #1432683)

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 02 Apr 2015 11:13:36 -0500

init-system-helpers (1.22ubuntu5) vivid; urgency=medium

  * Depend on upstart-sysv instead of upstart (LP: #1422681)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 23 Mar 2015 10:44:07 +0100

init-system-helpers (1.22ubuntu4) vivid; urgency=medium

  * init: Switch preferred alternative to systemd, and update package
    description to make sense for Ubuntu. (LP: #1427654)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 08 Mar 2015 12:26:24 +0100

init-system-helpers (1.22ubuntu3) vivid; urgency=medium

  * Add back systemd-sysv as alternative pre-depends, it's now a
    reasonably supported init for vivid.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 22 Feb 2015 23:10:37 +0000

init-system-helpers (1.22ubuntu2) vivid; urgency=medium

  * deb-system-invoke: don't start disabled systemd services (in case
    of systemd only services), when there is no init script. (Closes: #768456)
    Add some conditions to start the job on deb-system-invoke [restart|start],
    during package upgrade:
    - deb-system-invoke start <unit> doesn't do anything on systemd if the
      unit is disabled or static.
    - deb-system-invoke restart <unit> only restarts a disabled or static unit
      if the daemon was already running (forced by the admin).
    - in case of multiple units in error passed to deb-system-invoke, this one
      will exit with last unit in errror exit code.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Nov 2014 15:01:27 +0100

init-system-helpers (1.22ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - init: Drop sysvinit-core, systemd-sysv as alternative
      pre-depends. Upstart is the only supported init at the moment.
    - init: Drop Essential:yes, in Ubuntu upstart is not essential.
    - init: Mark as Multi-Arch:foreign.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Nov 2014 15:14:10 +0100

init-system-helpers (1.22) unstable; urgency=medium

  * Depend on perl-base instead of perl (Closes: #757891)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 17 Nov 2014 20:47:58 +0100

init-system-helpers (1.21) unstable; urgency=medium

  * Demote augeas-tools to Suggests and let the systemd2init tool error out
    if /usr/bin/augtool is not installed. Packages which want to make use of
    systemd2init will have to depend on augeas-tools themselves.
  * Switch the default init system to systemd-sysv on Linux as per #727708.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Aug 2014 07:40:41 +0200

init-system-helpers (1.20) unstable; urgency=medium

  [ Michael Stapelberg ]
  * Add systemd2init tool which can be used to generate SysV init scripts from
    systemd .service files. The systemd2init tool requires Augeas, so add a
    Depends on augeas-tools to dh-systemd. (Closes: #741252)
    Maintained by Ondřej Surý <ondrej@debian.org>
  * Clarify dh_systemd_enable documentation (Thanks Michael Meskes for the
    patch).

  [ Michael Biebl ]
  * Add new "init" metapackage which ensures that an init system is installed
    at all times. For now the default is still sysvinit-core.

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Jul 2014 23:49:57 +0200

init-system-helpers (1.19) unstable; urgency=medium

  * Use try-restart only on upgrades, start after initial installation
    (Closes: #750404)
  * improve error message wording (Closes: #750986)
  * dh_systemd_enable: document the --name option (Closes: #750992)

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 14 Jun 2014 13:17:57 +0200

init-system-helpers (1.18) unstable; urgency=low

  * d-s-h: add “purge” verb, use it in autoscripts. (Closes: #721244)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 25 Feb 2014 19:36:18 +0100

init-system-helpers (1.17) unstable; urgency=low



=== control ===
Source: samba
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>,
           Christian Perrier <bubulle@debian.org>,
           Jelmer Vernooij <jelmer@debian.org>,
           Ivo De Decker <ivodd@debian.org>
Homepage: http://www.samba.org
Standards-Version: 3.9.6
Build-Depends: bison,
               comerr-dev,
               debhelper (>> 9),
               docbook-xml,
               docbook-xsl,
               faketime,
               flex,
               heimdal-dev,
# heimdal-multidev is pulled in by heimdal-dev, but it's listed here for when
# heimdal-dev is removed because other build-deps pull in libkrb5-dev (like
# libcups2-dev did in the past)
               heimdal-multidev (>= 1.6~),
               libacl1-dev,
               libaio-dev [linux-any],
               libattr1-dev,
               libblkid-dev,
               libbsd-dev,
               libcap-dev [linux-any],
               libcups2-dev,
               libgnutls28-dev,
               libheimntlm0-heimdal (>= 1.6~),
               libldap2-dev,
               libldb-dev (>= 1:1.1.18~),
               libncurses5-dev,
               libntdb-dev (>= 1.0),
               libpam0g-dev,
               libparse-yapp-perl,
               libpopt-dev,
               libreadline-dev,
               libsubunit-dev,
               libtalloc-dev (>= 2.0.8~),
               libtevent-dev (>= 0.9.18~),
               perl,
               perl-modules,
               pkg-config,
               po-debconf,
               python-all-dev (>= 2.6.6-3),
               python-dnspython,
               python-ldb (>= 1:1.1.18~),
               python-ldb-dev (>= 1:1.1.18~),
               python-ntdb,
               python-talloc-dev (>= 2.0.8~),
               python-tdb (>= 1.2.11~),
               python-testtools,
               python3,
               subunit (>= 0.0.6),
               xsltproc,
               zlib1g-dev (>= 1:1.2.3)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-samba/samba.git
Vcs-Git: git://anonscm.debian.org/pkg-samba/samba.git -b master
XS-Testsuite: autopkgtest

Package: samba
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: adduser,
         heimdal-hdb-api-8,
         libpam-modules,
         libpam-runtime (>= 1.0.1-11),
         lsb-base (>= 4.1+Debian),
         procps,
         python,
         python-dnspython,
         python-ntdb,
         python-samba,
         samba-common (= ${source:Version}),
         samba-common-bin (=${binary:Version}),
         samba-dsdb-modules,
         tdb-tools,
         update-inetd,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: attr, logrotate, samba-vfs-modules
Suggests: bind9 (>= 1:9.5.1),
          bind9utils,
          ldb-tools,
          ntp,
          smbldap-tools,
          winbind,
          ufw
Enhances: bind9, ntp
Replaces: libsamdb0 (<< 4.0.0~alpha17~),
          python-samba (<< 2:4.1.4+dfsg-3),
          samba-ad-dc,
          samba-common (<= 2.0.5a-2),
          samba-doc (<< 2:4.0.5~),
          samba-libs (<< 2:4.1.4+dfsg-2),
          samba4
Conflicts: libldb1 (<< 1:1.1.15),
           samba (<< 2:3.3.0~rc2-5),
           samba-ad-dc,
           samba-doc (<< 2:4.0.5~),
           samba-tools,
           samba4 (<< 4.0.0~alpha6-2)
Description: SMB/CIFS file, print, and login server for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides the components necessary to use Samba as a stand-alone
 file and print server or as an NT4 or Active Directory domain controller.
 For use in an NT4 domain or Active Directory realm, you will also need the
 winbind package.
 .
 This package is not required for connecting to existing SMB/CIFS servers
 (see smbclient) or for mounting remote filesystems (see cifs-utils).

Package: samba-libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${ldb:Depends}, ${misc:Depends}, ${shlibs:Depends}
Breaks: libdcerpc-server0 (<< 2:4.0.9),
        libdcerpc0 (<< 2:4.0.9),
        libgensec0 (<< 2:4.0.9),
        libndr-standard0 (<< 2:4.0.9),
        libndr0 (<< 2:4.0.9),
        libnetapi0 (<< 2:4.0.9),
        libregistry0 (<< 2:4.0.9),
        libsamba-credentials0 (<< 2:4.0.9),
        libsamba-hostconfig0 (<< 2:4.0.9),
        libsamba-policy0 (<< 2:4.0.9),
        libsamba-util0 (<< 2:4.0.9),
        libsamdb0 (<< 2:4.0.9),
        libsmbclient-raw0 (<< 2:4.0.9),
        libsmbd0 (<< 2:4.0.9),
        libtorture0 (<< 2:4.0.9)
Replaces: libdcerpc-server0 (<< 2:4.0.9),
          libdcerpc0 (<< 2:4.0.9),
          libgensec0 (<< 2:4.0.9),
          libndr-standard0 (<< 2:4.0.9),
          libndr0 (<< 2:4.0.9),
          libnetapi0 (<< 2:4.0.9),
          libregistry0 (<< 2:4.0.9),
          libsamba-credentials0 (<< 2:4.0.9),
          libsamba-hostconfig0 (<< 2:4.0.9),
          libsamba-policy0 (<< 2:4.0.9),
          libsamba-util0 (<< 2:4.0.9),
          libsamdb0 (<< 2:4.0.9),
          libsmbclient-raw0 (<< 2:4.0.9),
          libsmbd0 (<< 2:4.0.9),
          libtorture0 (<< 2:4.0.9)
# these conflicts can NOT be replaced by 'Breaks'
# the old 3.6 packages should be removed before the new samba-libs is
# unpacked, to avoid any code referencing the old location of the tdb files
# see bug #726472
Conflicts: libpam-smbpass (<< 2:4),
           samba-common-bin (<< 2:4),
           samba-dsdb-modules (<< 2:4.1.9+dfsg-2),
           samba (<< 2:4),
           winbind (<< 2:4)
Description: Samba core libraries
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the shared libraries.

Package: samba-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ucf, ${misc:Depends}
Replaces: samba (<< 3.0.20b-1),
          samba-doc (<< 2:4.0.5~),
          samba4-common (<< 4.0.0~alpha7-1)
Conflicts: samba-doc (<< 2:4.0.5~), samba4-common (<< 4.0.0~alpha7-1), swat
Recommends: samba-common-bin
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains common files used by all parts of Samba.

Package: samba-common-bin
Architecture: any
Depends: python,
         python-samba,
         samba-common (=${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Conflicts: samba (<< 2:3.3.0~rc2-5),
           samba-common (<< 2:3.3.0~rc2-5),
           samba-doc (<< 2:4.0.5~)
Replaces: python-samba (<< 2:4.0.6~),
          samba-common (<< 2:3.4.0~pre2-1),
          samba-doc (<< 2:4.0.5~),
          samba4-common (<< 4.0.0~alpha7-1),
          samba4-common-bin
Suggests: heimdal-clients
Description: Samba common files used by both the server and the client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the samba-clients
 package).

Package: smbclient
Architecture: any
Depends: samba-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Replaces: samba (<< 2.999+3.0.alpha21-4),
          samba-doc (<< 2:4.0.5~),
          samba4-clients (<< 4.0.5),
          smbget
Provides: samba-client
Suggests: cifs-utils, heimdal-clients
Conflicts: samba-doc (<< 2:4.0.5~), samba4-clients (<< 4.0.5)
Description: command-line SMB/CIFS clients for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains command-line utilities for accessing Microsoft
 Windows and Samba servers, including smbclient, smbtar, and smbspool.
 Utilities for mounting shares locally are found in the package
 cifs-utils.

Package: samba-testsuite
Architecture: any
Recommends: subunit
Replaces: samba-doc (<< 2:4.0.5~), samba-tools, samba4-testsuite, samba-libs (<< 2:4.0.10+dfsg-4)
Conflicts: samba-doc (<< 2:4.0.5~), samba-libs (<< 2:4.0.10+dfsg-4)
Depends: samba-common-bin, ${misc:Depends}, ${shlibs:Depends}
Description: test suite from Samba
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains programs for testing the reliability and speed
 of SMB servers, Samba in particular.

Package: registry-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: samba-doc (<< 2:4.0.5~)
Conflicts: samba-doc (<< 2:4.0.5~)
Description: tools for viewing and manipulating the Windows registry
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains tools for viewing and manipulating the binary
 "registry" found on Windows machines, both locally and remote.

Package: libparse-pidl-perl
Architecture: any
Depends: libparse-yapp-perl, ${misc:Depends}, ${perl:Depends}
Recommends: samba-dev
Suggests: libwireshark-dev
Section: perl
Description: IDL compiler written in Perl
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file sharing with Microsoft Windows, OS X,
 and other Unix systems.  Samba can also function as a domain controller
 or member server in both NT4-style and Active Directory domains.
 .
 This package contains the IDL (Interface Description Language) compiler pidl,
 which takes in IDL files and can output C code for various uses. It is
 primarily of interest to developers.

Package: samba-dev
Architecture: any
Depends: libc6-dev,
         libldb-dev,
         libparse-pidl-perl,
         libpopt-dev,
         libtalloc-dev,
         libtdb-dev (>= 1.2.11),
         samba-libs (= ${binary:Version}),
         ${misc:Depends}
Section: devel
Replaces: libdcerpc-dev (<< 2:4.0.9),
          libdcerpc-server-dev (<< 2:4.0.9),
          libgensec-dev (<< 2:4.0.9),
          libndr-dev (<< 2:4.0.9),
          libndr-standard-dev (<< 2:4.0.9),
          libnetapi-dev (<< 2:4.0.9),
          libregistry-dev (<< 2:4.0.9),
          libsamba-credentials-dev (<< 2:4.0.9),
          libsamba-hostconfig-dev (<< 2:4.0.9),
          libsamba-policy-dev (<< 2:4.0.9),
          libsamba-util-dev (<< 2:4.0.9),
          libsamdb (<< 2:4.0.9),
          libsmbclient-raw-dev (<< 2:4.0.9),
          libsmbd-dev (<< 2:4.0.9),
          libtorture-dev (<< 2:4.0.9),
          samba4-dev
Breaks: libdcerpc-dev (<< 2:4.0.9),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_perl:
	dh_perl -d --package=init-system-helpers
	dh_perl --no-package=init-system-helpers

override_dh_auto_build:
	dh_auto_build
	for file in $$(ls script); do \
		pod2man --section=1p --utf8 script/$$file script/$$file.1p || true; \
	done

%:
	dh $@

=== rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

CONFOPTS = --with-slang
CONFOPTS += --enable-line
CONFOPTS += --libdir=/lib/$(DEB_HOST_MULTIARCH)
CONFOPTS += --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFOPTS += --enable-raw
CONFOPTS += --with-selinux
CONFOPTS += --enable-partx
CONFOPTS += --with-systemd
CONFOPTS += --enable-tunelp
endif

CONFOPTS += --localstatedir=/run
CONFOPTS += --disable-silent-rules
CONFOPTS += --without-python

# never use /etc/mtab, it should be a link to /proc/mounts
# but in case it isn't - just don't use it, go straight for
# /proc/self/mountinfo or /proc/mounts.
CONFOPTS += --enable-libmount-force-mountinfo

# disable utilities shipped by other packages
# => login
CONFOPTS += --disable-login
CONFOPTS += --disable-nologin
CONFOPTS += --disable-su
# => sysvinit-utils
CONFOPTS += --disable-sulogin
CONFOPTS += --disable-last
CONFOPTS += --disable-mesg
# => initscripts
CONFOPTS += --disable-mountpoint
# => procps
CONFOPTS += --disable-kill
# => eject
CONFOPTS += --disable-eject
# => passwd
CONFOPTS += --disable-chfn-chsh

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := CC="$(DEB_HOST_GNU_TYPE)-gcc -std=gnu99"
endif

%:
	dh $@ --with autoreconf,systemd

override_dh_autoreconf:
	AM_OPTS=--copy LT_OPTS=--copy dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(CONFOPTS) $(CROSS)

override_dh_auto_build:
	dh_auto_build -- $(CROSS)

override_dh_auto_install:
	dh_auto_install
	#
	# the version in bsdmainutils seems newer.
	rm -f debian/tmp/usr/bin/look debian/tmp/usr/share/man/man1/look.1
	rm -f debian/tmp/usr/bin/hexdump debian/tmp/usr/share/man/man1/hexdump.1
	# and it's less pain to just let bsmainutils deliver col for now.
	rm -f debian/tmp/usr/bin/col* debian/tmp/usr/share/man/man1/col*.1
	rm -f debian/tmp/usr/bin/ul debian/tmp/usr/share/man/man1/ul*.1
	rm -f debian/tmp/usr/bin/cal debian/tmp/usr/share/man/man1/cal.1
	# remove *.la files
	rm -f debian/tmp/usr/lib/*/*.la

override_dh_auto_clean:
	dh_auto_clean
	# drop arch-overrides, generated in dh_install by dh-exec usage.
	rm -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) \
		debian/util-linux.install.$(DEB_HOST_ARCH)

override_dh_install:
	# generate arch-override, as dh-exec install-rename can only run once.
	[ -f debian/util-linux.install.$(DEB_HOST_ARCH) ] || \
		debian/util-linux.install > \
		debian/util-linux.install.$(DEB_HOST_ARCH)
	[ -f debian/uuid-runtime.install.$(DEB_HOST_ARCH) ] || \
		debian/uuid-runtime.install > \
		debian/uuid-runtime.install.$(DEB_HOST_ARCH)
	#
	dh_install \
		-Nfdisk-udeb -Ncfdisk-udeb -Nlibblkid1-udeb \
		-Nlibfdisk1-udeb -Nlibsmartcols1-udeb -Nlibuuid1-udeb \
		-Nutil-linux-udeb
	dh_install --remaining-packages
	#
	# Install bash-completions only for binaries we ship
	for PACKAGE in util-linux uuid-runtime bsdutils mount; do \
	for BINARY in debian/$$PACKAGE/bin/* debian/$$PACKAGE/sbin/* \
			debian/$$PACKAGE/usr/bin/* \
			debian/$$PACKAGE/usr/sbin/* ; \
	do \
		BASENAME=$$(basename $$BINARY); \
		BCDIR=usr/share/bash-completion/completions/; \
		BCNAME=$$BCDIR/$$BASENAME ; \
		if [ "$$BASENAME" != '*' ] && [ -e "debian/tmp/$$BCNAME" ]; \
		then \
			echo "$$PACKAGE: Installing $$BCNAME"; \
			[ -d debian/$$PACKAGE/$$BCDIR ] || \
				mkdir -p debian/$$PACKAGE/$$BCDIR; \
			mv debian/tmp/$$BCNAME debian/$$PACKAGE/$$BCNAME; \
		fi; \
	done; \
	done
	# Removed these conflicting ones for now, see Bug#755986
	rm -f debian/util-linux/usr/share/bash-completion/completions/dmesg
	rm -f debian/bsdutils/usr/share/bash-completion/completions/renice
	#
	rm -rf debian/*-udeb/usr/share/doc
	# automatically trim SSD drives
	if [ -f debian/util-linux/sbin/fstrim ] ; then \
	    install -D -m 755 debian/fstrim-all.cron debian/util-linux/etc/cron.weekly/fstrim; \
	fi

override_dh_installman:
	dh_installman --language=C

override_dh_gencontrol:
	dh_gencontrol --package=bsdutils -- -v1:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages

override_dh_installinit:
	# install /etc/init.d/hwclock.sh
	# - update-rc.d manually handled in maintainers scripts as there
	#   is special per-arch considerations.
	dh_installinit --name=hwclock.sh --noscripts --no-start
	dh_installinit -putil-linux --name=hwclock-save --no-start
	# install /etc/default/hwclock
	dh_installinit --name=hwclock --no-start
	# install uuidd sysvinit script
	make misc-utils/uuidd.rc
	ln -s ../misc-utils/uuidd.rc debian/uuid-runtime.uuidd.init
	dh_installinit --name=uuidd --restart-after-upgrade
	rm -f debian/uuid-runtime.uuidd.init

override_dh_installpam:
	dh_installpam --package=util-linux --name=runuser
	dh_installpam --package=util-linux --name=runuser-l

override_dh_makeshlibs:
	dh_makeshlibs -N libsmartcols1 -N libblkid1 -N libfdisk1 -N libuuid1
	dh_makeshlibs -plibsmartcols1 -V \
		--add-udeb=libsmartcols1-udeb
	dh_makeshlibs -plibblkid1 -V \
		--add-udeb=libblkid1-udeb
	dh_makeshlibs -plibfdisk1 -V \
		--add-udeb=libfdisk1-udeb
	dh_makeshlibs -plibuuid1 -V \
		--add-udeb=libuuid1-udeb

override_dh_fixperms:
	dh_fixperms -i -s -Xusr/bin/wall -Xbin/mount -Xbin/umount

override_dh_auto_test:
	dh_auto_test || true

=== watch ===
version=3

# We don't verify the GPG signature because the signature is made for the
# uncompressed tarball, and uscan currently does not have a mechanism to
# implement this

opts=\
https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/libcap-(.+).tar.xz
